{ pkgs, ... }:
{
  services.caddy = {
    enable = true;
    package = pkgs.unstable.caddy;
    configFile = pkgs.writeText "Caddyfile" ''
      {
        acme_ca https://ca.home.2rjus.net/acme/acme/directory
      }

      nzbget.home.2rjus.net {
        log {
          output file /var/log/caddy/nzbget.log {
            mode 644
          }
        }
        reverse_proxy http://nzbget-jail.home.2rjus.net:6789
      }

      radarr.home.2rjus.net {
        log {
          output file /var/log/caddy/radarr.log {
            mode 644
          }
        }
        reverse_proxy http://radarr-jail.home.2rjus.net:7878
      }

      sonarr.home.2rjus.net {
        log {
          output file /var/log/caddy/sonarr.log {
            mode 644
          }
        }
        reverse_proxy http://sonarr-jail.home.2rjus.net:8989
      }
      ha.home.2rjus.net {
        log {
          output file /var/log/caddy/ha.log {
            mode 644
          }
        }
        reverse_proxy http://ha1.home.2rjus.net:8123
      }
      z2m.home.2rjus.net {
        log {
          output file /var/log/caddy/z2m.log {
            mode 644
          }
        }
        reverse_proxy http://ha1.home.2rjus.net:8080
      }
      prometheus.home.2rjus.net {
        log {
          output file /var/log/caddy/prometheus.log {
            mode 644
          }
        }
        reverse_proxy http://monitoring01.home.2rjus.net:9090
      }
      alertmanager.home.2rjus.net {
        log {
          output file /var/log/caddy/alertmanager.log {
            mode 644
          }
        }
        reverse_proxy http://monitoring01.home.2rjus.net:9093
      }
      grafana.home.2rjus.net {
        log {
          output file /var/log/caddy/grafana.log {
            mode 644
          }
        }
        reverse_proxy http://monitoring01.home.2rjus.net:3000
      }
      jelly.home.2rjus.net {
        log {
          output file /var/log/caddy/jelly.log {
            mode 644
          }
        }
        reverse_proxy http://jelly01.home.2rjus.net:8096
      }
      lldap.home.2rjus.net {
        log {
          output file /var/log/caddy/auth.log {
            mode 644
          }
        }
        reverse_proxy http://auth01.home.2rjus.net:17170
      }
      auth.home.2rjus.net {
        log {
          output file /var/log/caddy/auth.log {
            mode 644
          }
        }
        reverse_proxy http://auth01.home.2rjus.net:9091
      }
      pyroscope.home.2rjus.net {
        log {
          output file /var/log/caddy/pyroscope.log {
            mode 644
          }
        }
        reverse_proxy http://monitoring01.home.2rjus.net:4040
      }
      pushgw.home.2rjus.net {
        log {
          output file /var/log/caddy/pushgw.log {
            mode 644
          }
        }
        reverse_proxy http://monitoring01.home.2rjus.net:9091
      }
      http://http-proxy.home.2rjus.net/metrics {
        log {
          output file /var/log/caddy/caddy-metrics.log {
            mode 644
          }
        }
        metrics
      }
    '';
  };
}
